Bug 35630 - PPDump: utility to dump the structure of a PPT file into XML format.
Summary: PPDump: utility to dump the structure of a PPT file into XML format.
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: POI Overall (show other bugs)
Version: 3.0-dev
Hardware: PC Windows 2000
: P2 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-06 14:49 UTC by Yegor Kozlov
Modified: 2005-07-14 05:34 UTC (History)
0 users



Attachments
sources for PPDump utility (6.18 KB, application/octet-stream)
2005-07-06 14:50 UTC, Yegor Kozlov
Details
Sources for PPDump utility (6.29 KB, application/x-zip-compressed)
2005-07-06 14:57 UTC, Yegor Kozlov
Details
Improved PPDump (4.24 KB, application/x-zip-compressed)
2005-07-11 12:05 UTC, Yegor Kozlov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yegor Kozlov 2005-07-06 14:49:47 UTC
Useful utility to dump the structure of a PPT file into XML format.
Comment 1 Yegor Kozlov 2005-07-06 14:50:56 UTC
Created attachment 15604 [details]
sources for PPDump utility
Comment 2 Yegor Kozlov 2005-07-06 14:57:22 UTC
Created attachment 15605 [details]
Sources  for PPDump utility
Comment 3 Nick Burch 2005-07-06 18:56:25 UTC
Looks quite interesting, probably easier to work with than the plain text
dumpers from hslf.dev :)

However, it doesn't work for files not in the current directory. Might also be
nice to have it dump to standard out by default, and only to a file if one is given.

Couple of things that would be nice:
 * report the type and length in hex also (makes it easier to find them in the file)
 * report the byte offset to the start of the record (hex and decimal)
Comment 4 Yegor Kozlov 2005-07-11 12:05:39 UTC
Created attachment 15644 [details]
Improved PPDump

New version of PPDump.
Improvements (Thanks to Nick Burch for suggestions):
 - moved to org.apache.poi.hslf.dev
 - print record header in hex format as an XML attribute
 - print offset to the record
 - if ppt contains pictures print short info for each picture
 - default output is to System.out
Comment 5 Nick Burch 2005-07-14 13:34:06 UTC
Great, thanks for that. I've renamed it to PPTXMLDump (to make it clearer what
it does), and applied to CVS